Package org.apache.torque.templates

## Enum TorqueSchemaElementName

- java.lang.Object
- - java.lang.Enum<TorqueSchemaElementName>
  - - org.apache.torque.templates.TorqueSchemaElementName

- All Implemented Interfaces:
    `Serializable`, `Comparable<TorqueSchemaElementName>`, `SourceElementName`

      public enum TorqueSchemaElementName
      extends Enum<TorqueSchemaElementName>
      implements SourceElementName

  Contains all element names from the Torque schema. $Id: TorqueSchemaElementName.java 1839288 2018-08-27 09:48:33Z tv $

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `COLUMN` | element column.
    `DATABASE` | element database.
    `DOMAIN` | element domain.
    `ENUM_VALUE` | element enum-value.
    `EXTERNAL_SCHEMA` | element external-schema
    `FOREIGN_KEY` | element foreign-key.
    `ID_METHOD_PARAMETER` | element id-method-param.
    `INCLUDE_SCHEMA` | element include-schema
    `INDEX` | element index.
    `INDEX_COLUMN` | element index-column.
    `INHERITANCE` | element inheritance.
    `REFERENCE` | element reference.
    `TABLE` | element table.
    `UNIQUE` | element unique.
    `UNIQUE_COLUMN` | element unique-column.
    `VIEW` | element view.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getName()` | Returns the name of the element.
    `String` | `toString()` |
    `static TorqueSchemaElementName` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static TorqueSchemaElementName[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DATABASE

          public static final TorqueSchemaElementName DATABASE

      element database.

    - #### INCLUDE_SCHEMA

          public static final TorqueSchemaElementName INCLUDE_SCHEMA

      element include-schema

    - #### EXTERNAL_SCHEMA

          public static final TorqueSchemaElementName EXTERNAL_SCHEMA

      element external-schema

    - #### DOMAIN

          public static final TorqueSchemaElementName DOMAIN

      element domain.

    - #### TABLE

          public static final TorqueSchemaElementName TABLE

      element table.

    - #### VIEW

          public static final TorqueSchemaElementName VIEW

      element view.

    - #### COLUMN

          public static final TorqueSchemaElementName COLUMN

      element column.

    - #### FOREIGN_KEY

          public static final TorqueSchemaElementName FOREIGN_KEY

      element foreign-key.

    - #### REFERENCE

          public static final TorqueSchemaElementName REFERENCE

      element reference.

    - #### INHERITANCE

          public static final TorqueSchemaElementName INHERITANCE

      element inheritance.

    - #### ID_METHOD_PARAMETER

          public static final TorqueSchemaElementName ID_METHOD_PARAMETER

      element id-method-param.

    - #### UNIQUE

          public static final TorqueSchemaElementName UNIQUE

      element unique.

    - #### UNIQUE_COLUMN

          public static final TorqueSchemaElementName UNIQUE_COLUMN

      element unique-column.

    - #### INDEX

          public static final TorqueSchemaElementName INDEX

      element index.

    - #### INDEX_COLUMN

          public static final TorqueSchemaElementName INDEX_COLUMN

      element index-column.

    - #### ENUM_VALUE

          public static final TorqueSchemaElementName ENUM_VALUE

      element enum-value.

  - ### Method Detail

    - #### values

          public static TorqueSchemaElementName[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TorqueSchemaElementName c : TorqueSchemaElementName.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TorqueSchemaElementName valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getName

          public String getName()

      Returns the name of the element.
      Specified by:
        `getName` in interface `SourceElementName`
      Returns:
        the name of the element, not null.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<TorqueSchemaElementName>`